Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002347TestLinkDatabase MySQLpublic2009-04-07 22:032009-05-11 15:55
Reporterfreeride65 
Assigned Toschlundus 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.8.2 
Summary0002347: Searching TestCase i got a mysql error
DescriptionWhere: Test Case Search Page
How: If i try to put a string like this TC- or -TC in the search input field
i got two different type of error:



FOR THE STRING TC- I GOT THIS:

ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 - SELECT DISTINCT NH.parent_id AS tcase_id FROM tcversions TCV, nodes_hierarchy NH WHERE TCV.id = NH.id AND TCV.tc_external_id=

THE MESSAGE :: SQL [12] executed [took 0.0002 secs][all took 0.0128 secs]: SELECT DISTINCT NH.parent_id AS tcase_id FROM tcversions TCV, nodes_hierarchy NH WHERE TCV.id = NH.id AND TCV.tc_external_id= Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1



FOR THE STRING -TC I GOT THIS:

ERROR ON exec_query() - database.class.php
1054 - Unknown column 'TC' in 'where clause' - SELECT DISTINCT NH.parent_id AS tcase_id FROM tcversions TCV, nodes_hierarchy NH WHERE TCV.id = NH.id AND TCV.tc_external_id=TC

THE MESSAGE :: SQL [12] executed [took 0.0002 secs][all took 0.0314 secs]: SELECT DISTINCT NH.parent_id AS tcase_id FROM tcversions TCV, nodes_hierarchy NH WHERE TCV.id = NH.id AND TCV.tc_external_id=TC Query failed: errorcode[1054] errormsg:Unknown column 'TC' in 'where clause'



TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserie7
PHP Version5.2.9.1
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon errorTlink.jpg [^] (265,132 bytes) 2009-04-07 22:03

- Relationships

-  Notes
(0006331)
schlundus (reporter)
2009-04-10 03:59

Fixed in 1.8.2 and above

- Issue History
Date Modified Username Field Change
2009-04-07 22:03 freeride65 New Issue
2009-04-07 22:03 freeride65 File Added: errorTlink.jpg
2009-04-07 22:03 freeride65 Browser => ie7
2009-04-07 22:03 freeride65 PHP Version => 5.2.9.1
2009-04-08 00:43 schlundus Status new => assigned
2009-04-08 00:43 schlundus Assigned To => schlundus
2009-04-08 01:09 schlundus Status assigned => confirmed
2009-04-10 03:59 schlundus Status confirmed => resolved
2009-04-10 03:59 schlundus Fixed in Version => 1.8.2 (bug fixing)
2009-04-10 03:59 schlundus Resolution open => fixed
2009-04-10 03:59 schlundus Note Added: 0006331
2009-05-11 15:55 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker